Skip to main content
PATCH
/
v1
/
scans
/
config
/
{config_id}
Update Config
curl --request PATCH \
  --url https://api.projectdiscovery.io/v1/scans/config/{config_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "config": "<string>",
  "global": true
}
'
import requests

url = "https://api.projectdiscovery.io/v1/scans/config/{config_id}"

payload = {
    "name": "<string>",
    "config": "<string>",
    "global": True
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', config: '<string>', global: true})
};

fetch('https://api.projectdiscovery.io/v1/scans/config/{config_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "<string>",
  "id": "<string>"
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}

Authorizations

X-API-Key
string
header
required

Headers

X-Team-Id
string

Path Parameters

config_id
string
required

Query Parameters

config_json
boolean

Specify payload is in json

Body

application/json
name
string
config
string
global
boolean

Response

Example response

message
string
required
id
string